#!/usr/bin/python                                                                       
#   Project: Master Thesis                                                              
#   Author: Bjornar Brende Smestad                                                      
#   Created: Spring 2015 

def f(speeds):
    rev = [speed for speed in speeds if speed < 30]
    rev.sort(reverse=True)
    c = Counter((int(v) for v in rev))
    for speed in rev:
        if speed > 15 and c[int(speed)] > 9:
            return speed
        elif 5 <= speed <= 15:
            return speed
    return False

def getMaxSpeed(databasepath, mmsi):
    from collections import Counter
    con = lite.connect(databasepath)
    speeds = []
    with con:
        cur = con.execute("SELECT distinct sog FROM dynamicMessage where userid = {userid} and sog != '102.30' ".format(userid = mmsi))
    speed = [x[0] for x in cur]
    for i in range(0,len(speed)):
        speeds.append(float(speed[i])) 
    return f(speeds)
